POST api/JobConditioningCase/SaveJobConditioningCase
Request Information
URI Parameters
None.
Body Parameters
JobConditioningIntakeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CaseNo | integer |
None. |
|
| CaseTypeId | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 15 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| ChiefComplain | string |
String length: inclusive between 0 and 1000 |
|
| StatementOfInjury | string |
String length: inclusive between 0 and 4000 |
|
| CorporationName | string |
String length: inclusive between 0 and 20 |
|
| EmployeeJobTitle | string |
String length: inclusive between 0 and 4000 |
|
| LastName | string |
String length: inclusive between 0 and 60 |
|
| FirstName | string |
String length: inclusive between 0 and 60 |
|
| CaseStatus | string |
String length: inclusive between 0 and 60 |
|
| WLName | string |
String length: inclusive between 0 and 200 |
|
| CloseByUserName | string |
String length: inclusive between 0 and 100 |
|
| CloseDate | date |
None. |
|
| CloseByUserId | integer |
None. |
|
| Status | integer |
None. |
|
| CloseCaseByUserName | string |
String length: inclusive between 0 and 61 |
|
| AdministrativeClosureName | string |
String length: inclusive between 0 and 100 |
|
| IntakeCloseDate | date |
None. |
|
| IntakeCloseByUserId | integer |
None. |
|
| ReasonForDelete | string |
String length: inclusive between 0 and 500 |
|
| isCloseIntake | boolean |
None. |
|
| EmployeeWorkLocationCode | string |
String length: inclusive between 0 and 20 |
|
| InsuranceId | integer |
None. |
|
| PatientCheckinId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"CaseNo": 1,
"CaseTypeId": 1,
"EmployeeId": "sample string 2",
"CorporationCode": "sample string 3",
"ChiefComplain": "sample string 4",
"StatementOfInjury": "sample string 5",
"CorporationName": "sample string 6",
"EmployeeJobTitle": "sample string 7",
"LastName": "sample string 8",
"FirstName": "sample string 9",
"CaseStatus": "sample string 10",
"WLName": "sample string 11",
"CloseByUserName": "sample string 12",
"CloseDate": "2026-08-04T14:25:44.8343736-07:00",
"CloseByUserId": 1,
"Status": 13,
"CloseCaseByUserName": "sample string 14",
"AdministrativeClosureName": "sample string 15",
"IntakeCloseDate": "2026-08-04T14:25:44.8343736-07:00",
"IntakeCloseByUserId": 1,
"ReasonForDelete": "sample string 16",
"isCloseIntake": true,
"EmployeeWorkLocationCode": "sample string 18",
"InsuranceId": 1,
"PatientCheckinId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:44.8343736-07:00",
"DateUpdated": "2026-08-04T14:25:44.8343736-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfJobConditioningIntakeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | JobConditioningIntakeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"CaseNo": 1,
"CaseTypeId": 1,
"EmployeeId": "sample string 2",
"CorporationCode": "sample string 3",
"ChiefComplain": "sample string 4",
"StatementOfInjury": "sample string 5",
"CorporationName": "sample string 6",
"EmployeeJobTitle": "sample string 7",
"LastName": "sample string 8",
"FirstName": "sample string 9",
"CaseStatus": "sample string 10",
"WLName": "sample string 11",
"CloseByUserName": "sample string 12",
"CloseDate": "2026-08-04T14:25:44.8423984-07:00",
"CloseByUserId": 1,
"Status": 13,
"CloseCaseByUserName": "sample string 14",
"AdministrativeClosureName": "sample string 15",
"IntakeCloseDate": "2026-08-04T14:25:44.8423984-07:00",
"IntakeCloseByUserId": 1,
"ReasonForDelete": "sample string 16",
"isCloseIntake": true,
"EmployeeWorkLocationCode": "sample string 18",
"InsuranceId": 1,
"PatientCheckinId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:44.8423984-07:00",
"DateUpdated": "2026-08-04T14:25:44.8423984-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
},
"totalCount": 3
}